Carnegie Mellon University School of Computer Science

Cisco Jabber Minimum Version Restriction - Update Now

Versions older than 14.1.0 will lose phone and messaging.

All SCS
Alerts…